aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-module-scandeps/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-09-15 12:53:28 +0000
committerJakub Jirutka <jakub@jirutka.cz>2016-09-15 15:09:06 +0200
commitb8576eb01cafa91306c6c8fdbd07502d0958a5ea (patch)
tree614d2b4d7c92709d86d1d4fa362c356661d0b14a /community/perl-module-scandeps/APKBUILD
parentcc3a45bef7138a52fffab99e504163d5947eb435 (diff)
downloadaports-b8576eb01cafa91306c6c8fdbd07502d0958a5ea.tar.gz
aports-b8576eb01cafa91306c6c8fdbd07502d0958a5ea.tar.bz2
aports-b8576eb01cafa91306c6c8fdbd07502d0958a5ea.tar.xz
community/perl-module-scandeps: update to 1.21
Diffstat (limited to 'community/perl-module-scandeps/APKBUILD')
-rw-r--r--community/perl-module-scandeps/APKBUILD20
1 files changed, 9 insertions, 11 deletions
diff --git a/community/perl-module-scandeps/APKBUILD b/community/perl-module-scandeps/APKBUILD
index 13ad8f8673..c2438973dc 100644
--- a/community/perl-module-scandeps/APKBUILD
+++ b/community/perl-module-scandeps/APKBUILD
@@ -2,39 +2,37 @@
# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
pkgname=perl-module-scandeps
_pkgreal=Module-ScanDeps
-pkgver=1.20
+pkgver=1.21
pkgrel=0
pkgdesc="Recursively scan Perl code for dependencies"
url="http://search.cpan.org/dist/Module-ScanDeps/"
arch="noarch"
license="GPL PerlArtistic"
-cpandepends=""
cpanmakedepends="perl-test-requires"
-depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends perl-test-pod"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
- cd "$_builddir"
+ default_prepare || return 1
+ cd "$builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
- cd "$_builddir"
+ cd "$builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
make && make test
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="283e4d4f215d6ce6a05c13e9b740f842 Module-ScanDeps-1.20.tar.gz"
-sha256sums="72003547e36db833f920eb85247943b755c94ded998e640bae20ff37d6104691 Module-ScanDeps-1.20.tar.gz"
-sha512sums="1756c48d8932d50f03e5440e9b1a1c38c4f795c5701d6c9704cef88ac1162efeefb863f003b105b8516bb9cb8113c9c8524e7c6847070450228ef6baeb4d578d Module-ScanDeps-1.20.tar.gz"
+md5sums="a1d86a77bc460459cb571bb0eb09f723 Module-ScanDeps-1.21.tar.gz"
+sha256sums="1fc52addee2d01afd3f9bb86e5684460932c05e6b2a85d70c7d0f91973250794 Module-ScanDeps-1.21.tar.gz"
+sha512sums="d6046fae44dd265783f23ca78357e516c60c7f222f6cdfd07ed1870cf7ef6ac4deb2d0779dce56acb178c5b1b2966050154b74730693027a8b458c920c5646a8 Module-ScanDeps-1.21.tar.gz"